.input {
  display: block;
  height: 46px;
  width: 100%;
  background: #fff;
  border-radius: 8px;
  border: 1px solid #D8D8D8;
  position: relative;

  .field{
    display: block;
    border: none;
    padding: 10px 16px 0;
    margin: 0;
    outline: none;
    background: transparent;
    height: 100%;
    width: 100%;
    font-size: 16px;
    color: #111;
    border-radius: 7px;
  }

  .label{
    position: absolute;
    top: 50%;
    left: 16px;
    transform: translateY(-50%);
    transition: 0.2s ease all;
    user-select: none;
    pointer-events: none;
    font-size: 14px;
    color: #111;
  }

  &_focused, &_filled{
    .label{
      top: 6px;
      left: 8px;
      transform: translateY(0);
      font-size: 10px;
      color: #a7a7a7;
    }
  }

  
  &_nolabel {
    .field{
      padding-top: 0;
    }
  }

  &_disabled {
    opacity: 0.3;
    cursor: not-allowed;

    * {
      pointer-events: none;
    }
  }
}

.dataInput {
  border: none;
  padding: 0;
  margin: 0;

  &__input {
    display: block;
    border: none;
    padding: 10px 16px 0;
    margin: 0;
    outline: none;
    background: transparent;
    height: 46px;
    width: 100%;
    font-size: 16px;
    color: #111;
    border-radius: 7px;
  }
}

.dayInput {
  display: flex;
  align-items: center;
  justify-content: space-evenly;
  height: 46px;
  width: 100%;
  background: #fff;
  border-radius: 32px;
  border: 1px solid #D8D8D8;
  position: relative;

  &__item {
    position: relative;
    z-index: 1;
    border: none;
    background: none;
    cursor: pointer;
    transition: 0.3s ease all;

    &::before {
      position: absolute;
      content: '';
      display: block;
      width: 40px;
      height: 40px;
      top: 50%;
      left: 50%;
      transform: translateX(-50%) translateY(-50%);
      border-radius: 50%;
      background: #2E78E800;
      transition: 0.3s ease all;
    }

    &--active {
      color: #fff;

      &::before {
        background: #2E78E8;
        z-index: -1;
      }
    }
  }
}